---
title: CSSPrimitiveValue.getCounterValue()
slug: Web/API/CSSPrimitiveValue/getCounterValue
tags:
  - API
  - CSSPrimitiveValue
  - Method
  - NeedsExample
  - getCounterValue
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>getCounterValue()</strong></code> method of the {{domxref("CSSPrimitiveValue")}} interface is used to get the <a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">counter</a> value. If this CSS value doesn't contain a counter value, a {{domxref("DOMException")}} is raised. Modification to the corresponding style property can be achieved using the {{domxref("Counter")}} interface.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>counterValue</var> = <var>cssPrimitiveValue</var>.getCounterValue();</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("Counter")}} object representing the counter value.</p>

<h3 id="Exceptions">Exceptions</h3>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col"><strong>Type</strong></th>
   <th scope="col"><strong>Description</strong></th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>DOMException</code></td>
   <td>An <code>INVALID_ACCESS_ERR</code> is raised if the CSS value doesn't contain a <code>Counter</code> value (e.g. this is not <code>CSS_COUNTER</code>).</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSPrimitiveValue-getCounterValue', 'CSSPrimitiveValue.getCounterValue')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.CSSPrimitiveValue.getCounterValue")}}</p>
</div>
